Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezmail/user/maillist.php File Reference

Go to the source code of this file.

## Variables
if(!eZMailFolder::isOwner(eZUser::currentUser(), $FolderID)) if(isset( $NewFolder)) if(isset( $Move) && $FolderSelectID !=-1 &&count( $MailArrayID) > 0) | $ini =& eZINI::instance( 'site.ini' )
if(isset( $NumMessages)) | else
if(! $NumMessages) | $Language = $ini->variable( "eZMailMain", "Language" )
| $t
| $user =& eZUser::currentUser()
| $limit_array = array_unique( array( 20, 30, 40, 50, 60, 80, 100, 150, 200, $NumMessages ) )
| $currentMethod = eZPreferences::variable( "eZMail_MessagesPerPage" )
foreach( $limit_array as $element_number) | $folder = new eZMailFolder( $FolderID )
| $isDraftsFolder = false
| $preferences = new eZPreferences()
| $sort = $preferences->variable( "MailSortMethod")
| $mail = $folder->mail( $sort, $Offset, $NumMessages )
| $mailCount = $folder->mailCount()
| $i = 0
foreach( $mail as $mailItem) foreach(array(INBOX, SENT, DRAFTS, TRASH) as $specialfolder) | $folders = eZMailFolder::getByUser()

## Variable Documentation

## ◆ $currentMethod

$currentMethod = eZPreferences::variable( "eZMail_MessagesPerPage" )

Definition at line 113 of file ezmail/user/maillist.php.

## ◆ $folder

foreach ($limit_array as $element_number) $folder = new eZMailFolder( $FolderID )

Definition at line 126 of file ezmail/user/maillist.php.

## ◆ $folders

foreach ($mail as $mailItem) foreach (array(INBOX, SENT, DRAFTS, TRASH) as $specialfolder) $folders = eZMailFolder::getByUser()

Definition at line 216 of file ezmail/user/maillist.php.

## ◆ $i

$i = 0

Definition at line 175 of file ezmail/user/maillist.php.

## ◆ $ini

if (!eZMailFolder::isOwner(eZUser::currentUser(), $FolderID)) if (isset($NewFolder)) if (isset($Move) &&$FolderSelectID !=-1 &&count($MailArrayID) > 0) $ini =& eZINI::instance( 'site.ini' )

Definition at line 61 of file ezmail/user/maillist.php.

## ◆ $isDraftsFolder

$isDraftsFolder = false

Definition at line 127 of file ezmail/user/maillist.php.

## ◆ $Language

if (! $NumMessages) $Language = $ini->variable( "eZMailMain", "Language" )

Definition at line 77 of file ezmail/user/maillist.php.

## ◆ $limit_array

$limit_array = array_unique( array( 20, 30, 40, 50, 60, 80, 100, 150, 200, $NumMessages ) )

Definition at line 112 of file ezmail/user/maillist.php.

## ◆ $mail

$mail = $folder->mail( $sort, $Offset, $NumMessages )

Definition at line 173 of file ezmail/user/maillist.php.

## ◆ $mailCount

$mailCount = $folder->mailCount()

Definition at line 174 of file ezmail/user/maillist.php.

## ◆ $preferences

$preferences = new eZPreferences()

Definition at line 133 of file ezmail/user/maillist.php.

## ◆ $sort

$sort = $preferences->variable( "MailSortMethod")

Definition at line 172 of file ezmail/user/maillist.php.

Referenced by eZArticle\authorArticleList(), and eZArticle\authorList().

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezmail/user/" . $ini->variable( "eZMailMain", "TemplateDir" ),
"kernel/ezmail/user/intl/", $Language, "maillist.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(!eZMailFolder::isOwner(eZUser::currentUser(), $FolderID)) if(isset( $NewFolder)) if(isset( $Move) && $FolderSelectID !=-1 &&count( $MailArrayID) > 0) $ini
Definition: ezmail/user/maillist.php:61
$Language
if(! $NumMessages) $Language
Definition: ezmail/user/maillist.php:77

Definition at line 78 of file ezmail/user/maillist.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 110 of file ezmail/user/maillist.php.

## ◆ else

if (isset($NumMessages)) else

Initial value:
{
$NumMessages = eZPreferences::variable( "eZMail_MessagesPerPage" )
eZPreferences\variable
static variable( $name, $group=false)
Definition: ezpreferences.php:95

Definition at line 66 of file ezmail/user/maillist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.